<?php
/**
 * IMAP ACL Manipulation Plugin
 *
 * Copyright (c) 2003 Samuel Graenacher
 *
 * Licensed under the GNU GPL. For full terms see the file COPYING that came
 * with the Squirrelmail distribution.
 *
 * Written by Samuel Graenacher.
 * Developped for SM version 1.4.1
 *
 * For more licensing (and other) information, see the header of "imapacl.php"
 * $Id$
 */

if (!defined("SM_PATH"))
    define('SM_PATH','../../');

include_once(SM_PATH . 'include/validate.php');
include_once(SM_PATH . 'include/load_prefs.php');
include_once(SM_PATH . 'functions/page_header.php');
include_once(SM_PATH . 'functions/imap.php');

// We load up all the imapacl functions.
include_once(SM_PATH . 'plugins/imapacl/imapacl.php');
include_once(SM_PATH . 'plugins/imapacl/label_table.php');

IA_init_language();

sqsession_is_active();

global $color;
displaySMPageHeader($color, 'None');

// First, we'll need to fetch a few params we've gotten by either methods
global $folder2edit;
sqgetGlobalVar('folder2edit', $folder2edit, SQ_FORM);
global $user2edit;
sqgetGlobalVar('user2edit', $user2edit, SQ_FORM);
global $newuser;
sqgetGlobalVar('newuser', $newuser, SQ_FORM);


// Check for necessary parameters..
if ((strlen($folder2edit) < 1)||(strlen($user2edit) < 1)) {
    $errormsg = _("Missing data.<p />You have accessed this page in a way it wasn't meant to be!");
    print $errormsg;
    print_errormsg($errormsg);
}

// Perform IMAP Login
global $imapServerAddress, $imapPort;
sqgetGlobalVar('key', $key, SQ_COOKIE);
sqgetGlobalVar('onetimepad', $onetimepad, SQ_SESSION);
$imapconn = $imapConnection = sqimap_login($username, $key, $imapServerAddress, $imapPort, 0);

// Probe the type of ACL supported
global $ia_has_kxte;
probeACLtype($imapconn);

// Loading the HTML template..
if ($ia_has_kxte == 'yes') {
    $ia_tplpath = 'plugins/imapacl/templates/editrights_content_kxte.html';
} else {
    $ia_tplpath = 'plugins/imapacl/templates/editrights_content.html';
}
$edittpl = new EasyTemplate(SM_PATH . $ia_tplpath);


// Applying the static translationstrings...
labeltable_apply($edittpl);

$edittpl->assign('VAR_FOLDER2EDIT', $folder2edit);
$edittpl->assign('VAR_FOLDER2EDIT_URLENC', urlencode($folder2edit));

$edittpl->assign('VAR_USER2EDIT', $user2edit);

// Applying the rights labels..
//global $rightslist;
while (list($rn,$rd) = each($rightsList)) {
    $edittpl->assign('LABEL_RIGHTS_'.strtoupper($rn), $rd);
}

if ($newuser != 'yes') {
    // Fetch the users current ACL

    $parsed = getACL($imapconn, $folder2edit);
    sqimap_logout($imapconn);

    $currentACL = $parsed["$user2edit"];

    while (list($rn,$enabled) = each($currentACL)) {
        if ($enabled == 1)
            $edittpl->assign('VAR_CHECKED_'.strtoupper($rn), ' checked');
    }
}

$editcontentbox = $edittpl->easy_print_string();

$content = ia_html_box(_("Edit user rights"), $editcontentbox);

ia_html_mainbox(_("IMAP ACL Management"), $content);

IA_clean_language();


?>