<?php
/**
 * IMAP ACL Manipulation Plugin
 *
 * Copyright (c) 2003 Samuel Graenacher
 *
 * Licensed under the GNU GPL. For full terms see the file COPYING that came
 * with the Squirrelmail distribution.
 *
 * Written by Samuel Graenacher.
 * Developped for SM version 1.4.1
 *
 * For more licensing (and other) information, see the header of "imapacl.php"
 * $Id$
 */

if (!defined("SM_PATH"))
    define('SM_PATH','../../');

include_once(SM_PATH . 'functions/i18n.php');
include_once(SM_PATH . 'include/validate.php');
include_once(SM_PATH . 'include/load_prefs.php');
include_once(SM_PATH . 'functions/page_header.php');
include_once(SM_PATH . 'functions/imap.php');

// We load up all the imapacl functions.
include_once(SM_PATH . 'plugins/imapacl/imapacl.php');
include_once(SM_PATH . 'plugins/imapacl/htmloutput.php');



sqsession_is_active();

IA_init_language();

// Initiating the imap connection.
global $imapServerAddress, $imapPort;

sqgetGlobalVar('key', $key, SQ_COOKIE);
sqgetGlobalVar('onetimepad', $onetimepad, SQ_SESSION);
$imapconn = $imapConnection = sqimap_login($username, $key, $imapServerAddress, $imapPort, 0);

if(isset($_SESSION['delimiter'])) {
        $delimiter = $_SESSION['delimiter'];
} else { /* Just in case... */
        $delimiter = sqimap_get_delimiter($imapConnection);
        $_SESSION['delimiter'] = $delimiter;
}

/*******************************************************/
/* debugging stuff.. * /
$boxes = sqimap_mailbox_list($imapConnection);
$basedir= "INBOX.imaptest2";
foreach ($boxes as $boxes_part) {
     $box = $boxes_part['unformatted'];
     $lowerbox = strtolower($box);

	 if ($basedir == $box || ereg("^".$basedir."\\$delimiter", $box)) {
		 echo "Match: $box<br />\n";
	 }
}
exit(0); /* */
/*****************************************************/


// First we check wether to do a capabilities test or not...
if (!sqsession_is_registered('ia_has_acl')) // FIXME
{
    // No capabilities check has been done. Doing it now...

    //print _("Checking wether server suports ACLs... \n");
    $caps = sqimap_capability($imapconn);


    global $ia_has_acl;
    if ( (!isset($caps['acl']))&&(!isset($caps['ACL'])) ) 
    {
        $ia_has_acl = "no";
        //print _("Could not find ACL support :(");
    } else {
        $ia_has_acl = "yes";
        //print _("ACL is supported! :)");
    }
    sqsession_register($ia_has_acl, 'ia_has_acl');
}

global $ia_has_acl;
sqgetGlobalVar('ia_has_acl', $ia_has_acl, SQ_SESSION);
if ($ia_has_acl != "yes")
{
    $errormsg = _("Sorry. Your server does not seem to support IMAP ACL's. Please contact your Systems Administrator for further information.");
    print_errormsg($errormsg);
}

// Now we start constructing the page...
//  First we send the squirrel header
displaySMPageHeader($color, 'None');

//  Then we cunstruct the inner boxes
$folderlist = _("<b>NOTE:</b> If you don't know what an ACL is, please leave this page or you might do harm to <i>your own</i> mailbox!");
$folderlist .= "<p />" ._("Choose the folder you want to manage.");
$folderlist .= "<p />\n";
$folderlist .= "<form action=\"foldermanage.php\" method=\"POST\">";
$folderlist .= _("Folders");
$folderlist .= " <select name=\"ia_folder2manage\">" . sqimap_mailbox_option_list($imapConnection, 0) . "</select>";

$folderlist .= "<p /><center><input name=\"manage\" value=\"". _("Manage Folder") ."\" type=\"submit\"></center></form> ";

$folderselectbox = ia_html_box(_("Select a folder to manage"), $folderlist);


//  And finally put them into the big mainbox and output that one.
ia_html_mainbox(_("IMAP ACL Management"), $folderselectbox);

// Finished.
sqimap_logout($imapconn);

IA_clean_language();

?>