<?php
/**
 * IMAP ACL Manipulation Plugin
 *
 * Copyright (c) 2003 Samuel Graenacher
 *
 * Licensed under the GNU GPL. For full terms see the file COPYING that came
 * with the Squirrelmail distribution.
 *
 * Written by Samuel Graenacher.
 * Developped for SM version 1.4.1
 *
 * For more licensing (and other) information, see the header of "imapacl.php"
 * $Id$
 */

if (!defined("SM_PATH"))
    define('SM_PATH','../../');

include_once(SM_PATH . 'functions/page_header.php');
include_once(SM_PATH . 'plugins/imapacl/EasyTemplateS1.inc.php');


function ia_html_doerrorbox($errormsg){
    global $color;
    $tpl = new EasyTemplate(SM_PATH . "plugins/imapacl/templates/box1.html");
    
    $tpl->assign("COLOR1", $color[9]);
    $tpl->assign("COLOR2", $color[0]);

    $tpl->assign("BOX_TITLE", _("Error Encountered"));
    $tpl->assign("BOX_CONTENT", $errormsg);

    $tpl->easy_print();
}

function ia_html_box($title, $errormsg){
    global $color;
    $tpl = new EasyTemplate(SM_PATH . "plugins/imapacl/templates/box1.html");
    
    $tpl->assign("COLOR1", $color[9]);
    $tpl->assign("COLOR2", $color[0]);

    $tpl->assign("BOX_TITLE", $title);
    $tpl->assign("BOX_CONTENT", $errormsg);

    return $tpl->easy_print_string();
}

function ia_html_mainbox($maintitle, $content, $subtitle = "") {
    global $color;
    $tpl = new EasyTemplate(SM_PATH . 'plugins/imapacl/templates/mainbox1.html');

    $tpl->assign("COLOR0", $color[0]);
    $tpl->assign("COLOR4", $color[4]);

    $tpl->assign("MAINBOX_TITLE", $maintitle);
    if ($subtitle == "") {
        $tpl->assign("MAINBOX_SUB_TITLE", "");
    } else {
        $tpl->assign("MAINBOX_SUB_TITLE", " - " . $subtitle);
    }
    $tpl->assign("MAINBOX_CONTENT", $content);

    $tpl->easy_print();
}

function displaySMPageHeader($color, $extra) {
    IA_set_SM_language();
    displayPageHeader($color, $extra);
    IA_init_language();
}

function print_errormsg($errormsg) {
    ia_html_doerrorbox($errormsg);
    exit;
}

?>